-- liquibase formatted sql
-- changeset Enson:add_column

ALTER TABLE `fpsmsdb`.`bom_process` 
ADD COLUMN  `byProduct` varchar(255) NULL DEFAULT '' AFTER `bomId`,
ADD COLUMN `byProductUom` varchar(255) NULL DEFAULT '' AFTER `byProduct`,
ADD COLUMN `TimeMultipler` TINYINT(1) NULL DEFAULT 0 AFTER `byProductUom`,
ADD COLUMN   `processMultipler` TINYINT(1) NULL DEFAULT 0 AFTER `TimeMultipler`;

ALTER TABLE `fpsmsdb`.`truck` 
MODIFY COLUMN `Store_id` varchar(255) NULL DEFAULT '' NOT NULL,
ADD COLUMN   `remark` varchar(255) NULL DEFAULT '' AFTER `Store_id`;

ALTER TABLE `fpsmsdb`.`equipment_detail` 
ADD COLUMN   `repairAndMaintenanceStatus` TINYINT(1) NULL DEFAULT 0 AFTER `equipmentCode`,
ADD COLUMN   `latestRepairAndMaintenanceDate` datetime NULL DEFAULT NULL AFTER `repairAndMaintenanceStatus`,
ADD COLUMN   `lastRepairAndMaintenanceDate` datetime NULL DEFAULT NULL AFTER `latestRepairAndMaintenanceDate`,
ADD COLUMN   `repairAndMaintenanceRemarks` varchar(255) NULL DEFAULT '' AFTER `lastRepairAndMaintenanceDate`;
/*
TimeMultipler and processMultipler can not both true
*/